{% extends "base_new.html" %}
{% load static %}

{% block css %}
<link rel="stylesheet" href="{% static 'css/app_auth/style.css' %}">
{% endblock %}

{% block main %}
<div class="container-fluid">
    <div class="container bg-white box-shadow box-rounded mt-5">
        <div class="row">
            <div class="col-5 form__outer">
                <div class="container">
                    <div class="row mt-5 page__header">
                        <div class="col ">
                            <h1 class="page__title"><strong>Login</strong></h1>
                        </div>
                    </div>
                    <div class="row my-2">
                        <div class="col small">
                            <em>Akses semua fitur akan terbuka untukmu.</em>
                        </div>
                    </div>
                    {% if request.GET.via != 'sso' %}
                    <form action="{{ BE_URL|add:'auth/cs-auth/login' }}" method="POST" class="row align-items-stretch form__container my-4">
                        {% csrf_token %}
                        <div class="col-12 mb-4">
                            <div class="input-group input h-100">
                                <div class="input-group-prepend input__prepend-icon">
                                    <span class="input-group-text"><i class="icon icon-user"></i></span>
                                </div>
                                <input name="username" placeholder="username" title="keyword" type="text" class="form-control box-shadow">
                            </div>
                        </div>
                        <div class="col-12 mb-4">
                            <div class="input-group input h-100">
                                <div class="input-group-prepend input__prepend-icon">
                                    <span class="input-group-text"><i class="icon icon-lock"></i></span>
                                </div>
                                <input name="password" placeholder="password" title="keyword" type="password" class="form-control box-shadow">
                            </div>
                        </div>
                        <div class="col-12 text-right">
                            <button type="submit" class="btn btn-primary btn-flat">
                                Login
                            </button>
                        </div>
                    </form>
                    <div class="separator">
                        <div class="separator__content">
                            atau
                        </div>
                    </div>
                    {% endif %}
                    {% if request.GET.via == 'sso' %}
                    <form action="{{ BE_URL|add:'auth/cs-auth/login' }}" method="POST" class="row align-items-stretch form__container my-4">
                        {% csrf_token %}
                        <div class="col-12 mb-4">
                            <div class="input-group input h-100">
                                <div class="input-group-prepend input__prepend-icon">
                                    <span class="input-group-text"><i class="icon icon-user"></i></span>
                                </div>
                                <input id="username" name="username" placeholder="username" title="keyword" type="text" class="form-control box-shadow">
                            </div>
                        </div>
                        <div class="col-12 mb-4">
                            <div class="input-group input h-100">
                                <div class="input-group-prepend input__prepend-icon">
                                    <span class="input-group-text"><i class="icon icon-lock"></i></span>
                                </div>
                                <input id="password" name="password" placeholder="password" title="keyword" type="password" class="form-control box-shadow">
                            </div>
                        </div>
                        <div class="col-12 text-right">
                            <button type="submit" id="btn-submit" class="btn btn-primary btn-flat">
                                Login
                            </button>
                        </div>
                    </form>
                    {% endif %}
                    {% if request.GET.via == None %}
                    <div class="row">
                        <div class="col">
                            <a href="?via=sso" class="btn btn-default btn-flat btn-ui btn-block">
                                <span class="btn-icon">
                                    <object type="image/svg+xml" data="{% static 'img/logo-ui.svg' %}" class="logo-image">
                                        UI Logo <!-- fallback image in CSS -->
                                    </object>
                                </span>
                                Login via SSO
                            </a>

                            {% include "login/linkedin_button.html" with text_login="Login via Linkedin" %}

                            {% if request.GET.other == 'true' %}
{#                            <button class="btn btn-default btn-flat btn-facebook btn-block">#}
{#                <span class="btn-icon">#}
{#                    <object type="image/svg+xml" data="{% static 'img/facebook.svg' %}" class="logo-image">#}
{#                        Facebook Logo <!-- fallback image in CSS -->#}
{#                    </object>#}
{#                </span>#}
{#                                Login via Facebook#}
{#                            </button>#}
{#                            <a href="{{ BE_URL|add:'auth/google/login'}}"#}
{#                               class="btn btn-default btn-flat btn-google btn-block">#}
{#                <span class="btn-icon">#}
{#                    <object type="image/svg+xml" data="{% static 'img/google.svg' %}" class="logo-image">#}
{#                        Google Logo <!-- fallback image in CSS -->#}
{#                    </object>#}
{#                </span>#}
{#                                Login via Google#}
{#                            </a>#}
                            {% endif %}
                        </div>
                    </div>
                    {% endif %}
                    <div class="row my-4">
                        <div class="col small text-center text-muted">
                            <p>
                                Belum punya akun <br/>
                                <a href="{% url 'auth:signup'  %}">Buat akunmu sekarang!</a><br/>
                                {% if request.GET.other != 'true' %}
                                <!--atau<br/>-->
                                <!--<a href="?other=true">Coba dengan cara lain</a><br/>-->
                                <!--{% endif %}-->
                            </p>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-7 thumbnail__container d-flex align-items-center">
                <div class="container">
                    <div class="row justify-content-center">
                        <div class="col-auto hero__container p-5">
                            <h2 class="mb-3">Welcome to</h2>
                            <img src="{% static 'img/logo_dark.png' %}" alt="logo-app">'
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
{% endblock %}